/** The "Landscape" is a rectangular grid of objects.
    If you would like, you could make it read an Arc/Info Grid (in ascii format)
    and set the dimensions at run time.
    Here, we are simply hard-coding the dimensions.
 */

import swarm.Globals;
import swarm.space.Grid2d;
import swarm.space.Grid2dImpl;

// import swarm.objectbase.SwarmObject;
// import swarm.objectbase.SwarmObjectImpl;
 
import swarm.defobj.Zone;

import java.lang.*; 

public class Landscape extends Grid2dImpl
{
    int worldXSize, worldYSize; // the size of the landscape

    // constructor of this class
    public Landscape(Zone aZone, int WX, int WY)
    {
	super (aZone, WX, WY);
	worldXSize = WX;
	worldYSize = WY;

    }

    // create worldXSize x worldYSize number of cell objects
    public void createCells()
    {
	for (int i=0;i<worldXSize;i++)
	    {
		for (int j=0;j<worldYSize;j++)
		    {
			Cell newCell = new Cell(this.getZone());
			newCell.setXY(i,j);
			newCell.setLand(this);
			    
			this.putObject$atX$Y(newCell,i,j);
			newCell.setInitialVegetation(0.5);

		    }
	    }

    }

}



































